ItGo.me - 专注IT技术分享

首页 > Exception > Make sure you're using Spring 3.2.5 or better spring-data-solr解决

Make sure you're using Spring 3.2.5 or better spring-data-solr解决

时间:2015-11-27来源:网友分享 点击:
Caused by: java.lang.IllegalStateException: AnnotationConfigUtils.processCommonDefinitionAnnotations(…) is not public! Make sure you're using Spring 3.2.5 or better. The class was loaded from org/springframework/spring-context/3.2.0.RELEASE/spring-context-3.2.0.RELEASE.jar.
    at org.springframework.data.repository.config.RepositoryComponentProvider.assertRequiredSpringVersionPresent(RepositoryComponentProvider.java:158)
    at org.springframework.data.repository.config.RepositoryComponentProvider.<init>(RepositoryComponentProvider.java:62)
    at org.springframework.data.repository.config.RepositoryConfigurationSourceSupport.getCandidates(RepositoryConfigurationSourceSupport.java:57)
    at org.springframework.data.repository.config.RepositoryConfigurationExtensionSupport.getRepositoryConfigurations(RepositoryConfigurationExtensionSupport.java:54)
    at org.springframework.data.repository.config.RepositoryConfigurationDelegate.registerRepositoriesIn(RepositoryConfigurationDelegate.java:88)
    at org.springframework.data.repository.config.RepositoryBeanDefinitionParser.parse(RepositoryBeanDefinitionParser.java:67)
    ... 48 more
Caused by: java.lang.NoSuchMethodException: org.springframework.context.annotation.AnnotationConfigUtils.processCommonDefinitionAnnotations(org.springframework.beans.factory.annotation.AnnotatedBeanDefinition)
    at java.lang.Class.getMethod(Class.java:1665)
    at org.springframework.data.repository.config.RepositoryComponentProvider.assertRequiredSpringVersionPresent(RepositoryComponentProvider.java:156)
    ... 53 more


spring-data-solr或spring-data-mongodb使用的spring版本最好升级到3.2.9以上
<dependency>
            <groupId>org.springframework.data</groupId>
            <artifactId>spring-data-solr</artifactId>
            <version>1.2.4.RELEASE</version>
        </dependency>

java.io.IOException: Segment already parsed

ERROR security.UserGroupInformation: PriviledgedActionException as:hadoop cause:java.io.IOException: Segment already parsed! Exception in thread "main" java.io.IOException: Segment already parsed!...

The last packet sent successfully to the server was 0 milliseconds ago. The driver has not received any packets from the server

The last packet sent successfully to the server was 0 milliseconds ago. The driver has not received any packets from the server....

org.apache.hadoop.mapred.SafeModeException: JobTracker is in safe mode解决办法

ERROR security.UserGroupInformation: PriviledgedActionException as:hp cause:org.apache.hadoop.ipc.RemoteException: org.apache.hadoop.mapred.SafeModeException: JobTracker is in safe mode...

Caused by: org.springframework.beans.factory.parsing.BeanDefinitionParsingException: Configuration problem: AnnotationConfigUtils.processCommonDefinitionAnnotations(…) is not public! Make sure you're using Spring 3.2.5 or better
------分隔线----------------------------